## ros-iron-gz-ros2-control-tests 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gz_ros2_control_tests)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(control_msgs REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rclcpp_action REQUIRED)

  add_executable(test_position src/test_position.cpp)
  ament_target_dependencies(test_position
    rclcpp
    rclcpp_action
    control_msgs
  )

  ## Install
  install(
    TARGETS
      test_position
    DESTINATION
      lib/${PROJECT_NAME}
  )

  install(DIRECTORY
    urdf
    config
    DESTINATION share/${PROJECT_NAME}/
  )

  add_subdirectory(tests)
endif()

ament_package()

=== tests/CMakeLists.txt ===
find_package(launch_testing_ament_cmake REQUIRED)

add_launch_test(position_test.py
  TARGET test_position_controller
  TIMEOUT 120
)

=== debian/changelog ===
ros-iron-gz-ros2-control-tests (1.1.1-1jammy) jammy; urgency=high

  * Run end to end test in CI (#152 <https://github.com/ros-controls/gz_ros2_control//issues/152>)
  * Add test to check position controller (#134 <https://github.com/ros-controls/gz_ros2_control//issues/134>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.org>  Wed, 12 Jul 2023 22:00:00 -0000

=== debian/control ===
Source: ros-iron-gz-ros2-control-tests
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-control-msgs, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-gz-ros2-control-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, python3-pytest, ros-iron-ament-index-python, ros-iron-control-msgs, ros-iron-geometry-msgs, ros-iron-gz-ros2-control, ros-iron-hardware-interface, ros-iron-joint-state-broadcaster, ros-iron-joint-trajectory-controller, ros-iron-launch, ros-iron-launch-ros, ros-iron-launch-testing-ament-cmake, ros-iron-rclcpp, ros-iron-robot-state-publisher, ros-iron-ros-gz-sim, ros-iron-ros2controlcli, ros-iron-ros2launch, ros-iron-xacro, ros-iron-ros-workspace
Description: Gazebo ros2 control tests

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-gz-ros2-control-tests//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
